\section{Introduction}
\label{sec:intro}

This module is developed with the express goal of creating a new stand alone {\it Python2} code-base that aides SPIIR users in their day-to-day tasks. \\


In general, each sub-module contains two {\it .py} files:

\indent $\bullet$ {\it \bf create.py}: \\ this {\it .py} holds the {\it high level} utilities which call on functions from {\it base.py}. Each member function should in principal be attached to a JIRA ticket\footnote{\href{https://jira.swin.edu.au/secure/Dashboard.jspa}{SPIIR JIRA board}}.

\indent $\bullet$ {\it \bf base.py}: \\ this {\it .py} holds {\it low level} utilities that are used in the {\it create.py} sub-module\\


The sub-modules themselves are organised based on their "{\it main}" area of responsibility. For example, {\it bank\_utils} deals with bank generation specific challenges. Furthermore, each sub-module has a dedicated and ongoing epic which is the starting point for any new development tasks\footnote{see {\it SPIIR Induction Manual} for how to best contribute new code}.  \\


The appendix documentation is created automatically through the {\it create\_docs.py Python2} function in the root directory. Please rerun that function after each new contribution in order to update this document to reflect the current {\it head/master} codebase. Of course, you will also have to {\it latex build} this document as well.  \\

This is a living document and will continue to be updated as needed and requested. Please reach out to the main author with any suggestions\footnote{email: \href{mailto:acodoreanu@swin.edu.au}{acodoreanu@swin.edu.au}}. The assumption is that you are already familiar with SPIIR, OzGrav, OzStar and CiT/LDG.